Subject: PC-Pine 3.90 aborts and exits

From: "Raleigh Moody ([email-masked])" <[email-masked]>
Date: Thu, 6 Oct 1994 15:23:13 -0700 (PDT)

We recently installed PC-Pine 3.90 for the users on our Novell LAN.  We 
use the LanWorkgroup 4.2 TCP/IP stack.  We are having an intermittent 
problem with Pine suddenly aborting and exiting to DOS, displaying the
message:

   Bug in Pine detected: "Bad msgno in mail_fetchtext"  
   Exiting Pine.

It will most often do this when attempting to save a message to a folder, 
but has also happened when a user simply tries to delete a message, 
forward a message, or even read a message from the inbox list.

I at first thought it might be an incorrect imap version problem, so I 
downloaded imapd-bin.solaris from ftp.cac.washington.edu, then installed 
it on our Sparc5 mail/domain server (yes, I did a "kill -1 <pid>" to 
restart the daemon...I know some of you will ask).

This didn't solve the problem.

The curious thing about this problem is that it surfaces intermittently, 
and happens to different users at different times.  It might work fine 
for a week or so, with the user saving and deleting files at will, with 
no problems at all, then one day start acting up.  So, 90% of the time 
Pine works flawlessly, it's just that 10% that becomes very annoying, 
because it kicks you out without warning.  When this happens, Pine of 
course generates 4 or 5 debug files.

Has anybody experienced a similar problem?  I've followed the messages on 
this list for several weeks without spotting any problems that sound similar.
I've also looked through the the tech-notes, FAQ, and even the August 
mail list archive, and found no hints or reports of similar problems.

Advice, anyone?

-----------------------------------------------------------------------
 Raleigh Moody        Network Specialist      email   [email-masked]
 California Western School of Law             phone   619-525-1406
 San Diego, CA                                fax     619-685-2916
-----------------------------------------------------------------------